import { ChainGun } from "@notabug/chaingun";
import { NabLmdbGraphConnector } from "./NabLmdbGraphConnector";
import SocketClusterGraphConnector from "@notabug/chaingun-socket-cluster-connector";
interface Opts extends GunChainOptions {
    socketCluster: any;
    lmdb?: any;
}
export declare class NabLmdbStorage extends ChainGun {
    lmdb: NabLmdbGraphConnector;
    socket: SocketClusterGraphConnector;
    constructor(options?: Opts);
    authenticateAndListen(): void;
    respondToGets(): void;
    persistIncoming(): void;
    publishDiff(msg: GunMsg): void;
    uploadThing(thingId: string): Promise<void>;
    uploadThings(): void;
}
export {};
